Bug 661284 - GStreamer encountered a general stream error during jumping in matroska video
Summary: GStreamer encountered a general stream error during jumping in matroska video
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 12:14 UTC by Lubos Kocman
Modified: 2012-08-16 19:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:45:09 UTC
Type: ---


Attachments (Terms of Use)
gstreamer debug level 2 (4.32 KB, application/octet-stream)
2010-12-08 12:14 UTC, Lubos Kocman
no flags Details
gstreamer debug level 3 (4.30 MB, text/plain)
2010-12-08 12:16 UTC, Lubos Kocman
no flags Details

Description Lubos Kocman 2010-12-08 12:14:01 UTC
Created attachment 467464 [details]
gstreamer debug level 2

Description of problem:



Version-Release number of selected component (if applicable):

gstreamer-python-0.10.19-1.fc14.x86_64
gstreamer-0.10.30-1.fc14.x86_64
gstreamer-plugins-good-0.10.25-1.fc14.x86_64
gstreamer-plugins-bad-free-0.10.20-3.fc14.1.x86_64
gstreamer-plugins-base-0.10.30-2.fc14.x86_64
gstreamer-0.10.30-1.fc14.i686
gstreamer-rtsp-0.10.5-2.fc14.x86_64
gstreamer-tools-0.10.30-1.fc14.x86_64
gstreamer-plugins-base-0.10.30-2.fc14.i686

fluendo-codecs-complete-bundle-12-4.x86_64 # Fluendo contact is in CC


How reproducible:


Steps to Reproduce:
1. open .mkv file in totem
2. jump to a different possition in stream
  
Actual results:

GStreamer encountered a general stream error

Expected results:

No error should occur

Additional info:

Comment 1 Lubos Kocman 2010-12-08 12:14:39 UTC
The problem occurs also after playing cca 30 seconds of matroska video playback.

Comment 2 Lubos Kocman 2010-12-08 12:16:50 UTC
Created attachment 467466 [details]
gstreamer debug level 3

Comment 3 Brendan Jones 2010-12-08 15:53:04 UTC
Thanks for the bug report!

Any chance you could post a link to the file causing problems? Potentially the file in question may contain content/codes which doo not meet Fedora's licensing guidelines (meaning libraries which are proprietary are not available). It is not clear from the trace unless you can provide an example.

Comment 4 Lubos Kocman 2010-12-09 09:04:10 UTC
I'm sorry but I accidentally removed the file. Anyway I think that I could get it somehow back.

I think that providing "short part" of the file should not break any copyright / law things.

But there is licensing problem with fluendo codecs ... so fluendo will have to provide some feedback (I Already contacted them with link to this BZ).

One special thing about this file was that it was shipped with multiple subtitle tracks included in the file.

Comment 5 Fedora End Of Life 2012-08-16 19:45:12 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.